# class TclTkObject

class TclTkObject: base class of the tcl/tk objects

### Public Class Methods

new(ip, exp) click to toggle source

initialize(ip, exp):

    ip: interpreter(TclTkIp)
    exp: tcl/tk representation

    # File lib/tcltk.rb, line 188
    def initialize(ip, exp)
      fail("type is not TclTkIp") if !ip.kind_of?(TclTkIp)
      @ip = ip
      @exp = exp
    end

### Public Instance Methods

to_s() click to toggle source

#to_s(): returns tcl/tk representation

    # File lib/tcltk.rb, line 195
    def to_s()
      return @exp
    end